Module java.desktop
Package javax.swing.plaf

## Class BorderUIResource.EtchedBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EtchedBorder
    - - javax.swing.plaf.BorderUIResource.EtchedBorderUIResource

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  BorderUIResource

    public static class BorderUIResource.EtchedBorderUIResource
    extends EtchedBorder
    implements UIResource

An etched border UI resource.

### Field Summary

### Fields inherited from class javax.swing.border.EtchedBorder

`etchType, highlight, LOWERED, RAISED, shadow`

### Constructor Summary

Constructors
Constructor and Description
`EtchedBorderUIResource()` Constructs an `EtchedBorderUIResource`.
`EtchedBorderUIResource(int etchType)` Constructs an `EtchedBorderUIResource`.
`EtchedBorderUIResource(int etchType, Color highlight, Color shadow)` Constructs an `EtchedBorderUIResource`.
`EtchedBorderUIResource(Color highlight, Color shadow)` Constructs an `EtchedBorderUIResource`.

### Method Summary

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class javax.swing.border.EtchedBorder

`getBorderInsets, getEtchType, getHighlightColor, getHighlightColor, getShadowColor, getShadowColor, isBorderOpaque, paintBorder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EtchedBorderUIResource

    public EtchedBorderUIResource()

Constructs an `EtchedBorderUIResource`.

#### EtchedBorderUIResource

    public EtchedBorderUIResource(int etchType)

Constructs an `EtchedBorderUIResource`.

Parameters:
  `etchType` - the type of etch to be drawn by the border

#### EtchedBorderUIResource

    @ConstructorProperties({"etchType","highlightColor","shadowColor"})
    public EtchedBorderUIResource(int etchType,
                                  Color highlight,
                                  Color shadow)

Constructs an `EtchedBorderUIResource`.

Parameters:
  `etchType` - the type of etch to be drawn by the border
  `highlight` - the color to use for the etched highlight
  `shadow` - the color to use for the etched shadow

#### EtchedBorderUIResource

    public EtchedBorderUIResource(Color highlight,
                                  Color shadow)

Constructs an `EtchedBorderUIResource`.

Parameters:
  `highlight` - the color to use for the etched highlight
  `shadow` - the color to use for the etched shadow